<template>
  <new-creator v-show="createCreator" />
  <new-campaign v-show="createCampaign" />
  <div class="home-container">
    <div class="sidebar">
      <SidebarComponent />
    </div>
    <div class="page-view">
      <router-view></router-view>
    </div>
  </div>
</template>

<script>
import SidebarComponent from "./components/SidebarComponent.vue";
import NewCreator from "./components/NewCreator.vue";
import NewCampaign from "./components/NewCampaign.vue";
import { mapGetters } from "vuex";

export default {
  name: "App",
  components: {
    SidebarComponent,
    NewCreator,
    NewCampaign,
  },
  computed: mapGetters(["createCreator", "createCampaign"]),
};
</script>

<style>
.home-container {
  display: grid;
  grid-template-columns: 7% auto;
  gap: 20px;
}

.page-view {
  margin-top: 2rem;
  width: 100%;
}

.mockup {
  margin-top: 2rem;
}
</style>
